//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FashionDesign
{
    using System;
    using System.Collections.Generic;
    
    public partial class fashion_user
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public fashion_user()
        {
            this.fashion_article_details = new HashSet<fashion_article_details>();
            this.fashion_comment_details = new HashSet<fashion_comment_details>();
        }
    
        public long user_id { get; set; }
        public string first_name { get; set; }
        public string last_name { get; set; }
        public string login_email_id { get; set; }
        public string phone_number { get; set; }
        public string address { get; set; }
        public string ActiveStatus { get; set; }
        public string password { get; set; }
        public string img_user { get; set; }
        public Nullable<long> Role_id { get; set; }
        public System.DateTime created_date { get; set; }
        public System.DateTime updated_date { get; set; }
        public string system_ip { get; set; }
        public string field_1 { get; set; }
        public string field_2 { get; set; }
        public Nullable<long> field_3 { get; set; }
        public Nullable<long> field_4 { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<fashion_article_details> fashion_article_details { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<fashion_comment_details> fashion_comment_details { get; set; }
    }
}
